#include "Terminal.h"

Terminal::Terminal(TerminalType type, const std::string& label)
    :   mLabel(label),
        mType(type)

{

}

Wire* Terminal::getConnection() const
{
    return mConnection;
}

void Terminal::setConnection(Wire* connection)
{
    mConnection = connection;
}
